summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexey Andreyev2020-02-12 00:09:45 +0300
committerAlexey Andreyev2020-02-12 00:09:45 +0300
commit1924c5c76b468bd0b119277d34a666d097dbf888 (patch)
tree5243c7b7f828a5868713ecb911f6fc72853b58dd
downloadaur-android-unpackbootimg.tar.gz
Initial
Signed-off-by: Alexey Andreyev <aa13q@ya.ru>
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD39
2 files changed, 57 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..052cb15316e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = android-unpackbootimg
+ pkgdesc = Tools to work with Android boot images
+ pkgver = r9.b92cac0
+ pkgrel = 1
+ url = https://github.com/anestisb/android-unpackbootimg
+ arch = armv7h
+ arch = i686
+ arch = x86_64
+ arch = aarch64
+ license = Apache
+ makedepends = make
+ optdepends = python
+ options = !makeflags
+ source = android-unpackbootimg::git+https://github.com/anestisb/android-unpackbootimg.git
+ sha256sums = SKIP
+
+pkgname = android-unpackbootimg
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7c2ee528398
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Alexey Andreyev <aa13q@ya.ru>
+
+pkgname=android-unpackbootimg
+_srcname=android-unpackbootimg
+pkgver=r9.b92cac0
+pkgrel=1
+pkgdesc="Tools to work with Android boot images"
+arch=('armv7h' 'i686' 'x86_64' 'aarch64')
+url="https://github.com/anestisb/android-unpackbootimg"
+license=('Apache')
+makedepends=('make')
+optdepends=('python')
+conflicts=()
+source=(
+ "${pkgname}::git+${url}.git"
+)
+sha256sums=('SKIP')
+options=(!makeflags)
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ ( set -o pipefail
+ git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ ) 2>/dev/null
+}
+
+build() {
+ cd "${srcdir}/${pkgname}"
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}"
+ mkdir -p "${pkgdir}/usr/bin"
+ install -m 755 -t "${pkgdir}/usr/bin" "${srcdir}/${pkgname}/mkbootimg"
+ install -m 755 -t "${pkgdir}/usr/bin" "${srcdir}/${pkgname}/mkbootimg.py"
+ install -m 755 -t "${pkgdir}/usr/bin" "${srcdir}/${pkgname}/unpackbootimg"
+}